spamassassin-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Noel Butler <noel.but...@ausics.net>
Subject Re: Argument "perl_version" isn't numeric
Date Sun, 30 Nov 2014 23:27:38 GMT
 

On 01/12/2014 04:52, John Hardin wrote: 

> On Sun, 30 Nov 2014, Reindl Harald wrote:
> Am 30.11.2014 um 05:39 schrieb John Hardin: On Sun, 30 Nov 2014, Reindl Harald wrote:
if that rule can't work in most environments and not made conditionally it has to be dropped
at all because it has more drawbacks than benefits But this effectively means we cannot add
new features to SA conditionals because they might do this to older installs
 which new features? 

The perl version check in a conditional.

Trunk SA supports doing that now. But if actually *using* that feature,
even once it's officially released, results in unacceptable warnings in
older SA installs, then at what point can the new feature *actually be
used*?

You do that with new x.MAJOR.0 release, where you can mandate minimum
system requirements, currently this stunt has caused far more harm than
what its currently worth and should be rolled back. You've been around a
long long time John, so I know your not going to suggest people with
production servers run a version from trunk just to satisfy a small few.


 
Mime
View raw message